﻿////mr-bundler-ignore

function MrStartUI() {
    MrMUISecoundryColor = '#A74553';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "30vw";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
    MrAudcommonSelectors+=',span';
    MrDicCommonSelectors+=',span';
    Mrnoggt = false;
    MrCID = 268;
    MrAudCid = 37;
    try {
        MrArabicUIisOn = document.getElementsByTagName('html')[0].getAttribute('lang') == 'ar' || window.location.href.toString().toLowerCase().indexOf('/ar/'.toLowerCase()) > -1;
            
    } catch {

    }
   
    MrArabicFlag = "uae";

    MRUAPPrepareUI(["MrControl_Page_contrast","MrText2Speech","MrCursor_Helpers","MrChangefont","MrPage_saturation_control","MrWords_Spacing","MrRealWords_Spacing","MrLine_Spacing","MrEnlarge_Fonts","MrHighlight_Links","MrAnimation","MrText_Alignments","MrPage_Structure","MrDictionary","MrHideImgs"],["MrVisuallyImpaired","Mrdyslexia","MrADHD","MrSeizureAndEpilepsy","MrColor_Blind","Mrcognitive_education","MrImpaired_mobility"]);

    var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" :   "Assist using site";
    
    MrGotoArabicVersion = function () {

        try {
            document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
        } catch (err) { }
        if (!MrArabicUIisOn) {

            window.location.href = jQuery('.language_change a').attr('href')
            //MrMUIApplyTranslate("ar");
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {

        try {
            document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
        } catch (err) { }


        if (MrArabicUIisOn) {

            window.location.href = jQuery('.language_change a').attr('href')
            // MrMUIApplyTranslate("en");
            MrUPChangeToolLAngToEN();
        }
    };
    var MrIconToAdd =
        '<div id="MrAccessInHand" title="' +
        MrIconMessage +
        '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
        MrIconMessage +
        '"></div>';
    MrUAPAddStyle(
        "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 130px; left: 9px; background-color: " +
        MrMUISecoundryColor +
        "; border-radius: 50%;width:60px;height:60px;text-align:center } #MrAccessInHand img{filter:" +
        MrUtilHexToFilter(MrMUIWhite) +
        ";margin-top:5px;width:48px}",
        "MrbuttonCSS"
    );

    MrUAPAddStyle(".navbar-light .navbar-nav .nav-link.mr-light-contrast-link {color: rgb(0, 0, 211) !important;}  .tab-menu ul li a.active-a.mr-light-contrast-link{ color: rgb(0, 0, 211) !important; } .quick_accessBtn_Link a.mr-light-contrast-link { color: rgb(0, 0, 211) !important; }","mrUIFixs");
    jQuery("body").append(MrIconToAdd);

    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();
        MrMUIGetGoogleTranslationValues(2);

        if (MrArabicUIisOn) {

            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {

            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
    });
  
    MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
    setTimeout(function () {
        MrStartUI();
    }, 500);
});